Page MenuHomePhabricator

Enable search integration with Article Placeholder again
Closed, ResolvedPublic1 Estimate Story Points

Description

As an ArticlePlaceholder user I want the search integration to be enabled so that I see results while searching

Details

Blocked on T195752: Migrate search integration of ArticlePlaceholder to elastic

Task

Configure the new api based article placeholder ( See T195752#4637972 ) ArticlePlaceholderSearchIntegrationBackend and ArticlePlaceholderRepoApiUrl need settings
Set wgArticlePlaceholderSearchIntegrationEnabled to true everywhere on the WMF cluster.
This should be a staged rollout & monitored as it goes:

  • Beta cluster (but not working yet)
  • Prod group0
  • Prod group1
  • Prod all wikis

Acceptance criteria

  • wgArticlePlaceholderRepoApiUrl is correctly set for all wikis
  • wgArticlePlaceholderSearchIntegrationBackend for all wikis is 'API' for all wikis
  • wgArticlePlaceholderSearchIntegrationEnabled should be true for all wikis
  • The wgArticlePlaceholderSearchIntegrationEnabled override should no longer exist in the beta cluster -labs config file

Pointers

For non deployers this will require deployment of the patches during SWAT windows
The config can be found in the operations/mediawiki-config gerrit repo
Setting a different config value on the beta cluster will require creating an override in InitialiseSettings-labs.php
The config for production can be found in InitialiseSettings.php
Once IS.php & IS-labs.php both have the value set to true then the override in IS-labs.php can be removed.

Details

Event Timeline

Ladsgroup triaged this task as High priority.May 28 2018, 10:26 AM
Ladsgroup created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2018, 10:26 AM
Ladsgroup renamed this task from Disable search integration with Article Placeholder temporarily to Enable search integration with Article Placeholder back.May 28 2018, 10:29 AM
Ladsgroup updated the task description. (Show Details)
Addshore updated the task description. (Show Details)May 30 2018, 10:11 AM

Change 436247 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Revert "Disable search integration with Article Placeholder temporarily"

https://gerrit.wikimedia.org/r/436247

Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jun 2 2018, 6:08 PM
Vvjjkkii renamed this task from Enable search integration with Article Placeholder back to s5baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from s5baaaaaaa to Enable search integration with Article Placeholder back.Jul 2 2018, 1:16 PM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 436247 abandoned by Addshore:
Revert "Disable search integration with Article Placeholder temporarily"

https://gerrit.wikimedia.org/r/436247

Addshore changed the task status from Open to Stalled.Aug 19 2018, 11:11 AM
Addshore added a project: wikidata-tech-focus.

Stalled as this is blocked on T195752: Migrate search integration of ArticlePlaceholder to elastic being done first

Addshore updated the task description. (Show Details)Aug 19 2018, 11:19 AM
Addshore moved this task from Backlog to Ready on the wikidata-tech-focus board.
Addshore removed a project: Wikidata-Campsite.

Removing from the campsite as this is not ready to go yet

Addshore moved this task from in progress to ready to go on the Wikidata board.Aug 19 2018, 11:20 AM
Lydia_Pintscher changed the task status from Stalled to Open.Aug 21 2018, 2:30 PM
Lydia_Pintscher added a subscriber: Aleksey_WMDE.

Stalled as this is blocked on T195752: Migrate search integration of ArticlePlaceholder to elastic being done first

There were discussions with Lego of doing it without that via http calls. Unstalling until @Aleksey_WMDE can say more.

Addshore added a comment.EditedAug 21 2018, 2:48 PM

Stalled as this is blocked on T195752: Migrate search integration of ArticlePlaceholder to elastic being done first

There were discussions with Lego of doing it without that via http calls. Unstalling until @Aleksey_WMDE can say more.

Yep, see T195752: Migrate search integration of ArticlePlaceholder to elastic for that, but we can't / don't want to enable it until that is done

Addshore updated the task description. (Show Details)Oct 8 2018, 10:59 AM

Change 465311 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] labs: Enable search integration with Article Placeholder back with API backend

https://gerrit.wikimedia.org/r/465311

Change 465311 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Enable search integration with Article Placeholder back with API backend

https://gerrit.wikimedia.org/r/465311

Addshore renamed this task from Enable search integration with Article Placeholder back to Enable search integration with Article Placeholder again.Oct 9 2018, 1:07 PM
Addshore updated the task description. (Show Details)
Addshore set the point value for this task to 1.
Addshore assigned this task to Ladsgroup.Oct 9 2018, 1:43 PM
Addshore lowered the priority of this task from High to Medium.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 9 2018, 1:45 PM
Addshore removed Ladsgroup as the assignee of this task.Oct 9 2018, 1:45 PM
Addshore assigned this task to Ladsgroup.
Addshore moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.
Addshore moved this task from ready to go to in progress on the Wikidata board.Oct 11 2018, 8:41 AM

Change 467671 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Re-enable search integration for ArticlePlaceholder

https://gerrit.wikimedia.org/r/467671

Change 467671 merged by jenkins-bot:
[operations/mediawiki-config@master] Re-enable search integration for ArticlePlaceholder

https://gerrit.wikimedia.org/r/467671

Mentioned in SAL (#wikimedia-operations) [2018-10-16T11:49:29Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:467671|Re-enable search integration for ArticlePlaceholder (T195751)]] (duration: 00m 50s)